# Class JsMainPanel

java.lang.Object
jspecview.js2d.JsMainPanel

All Implemented Interfaces:
  `JSVMainPanel, JSVViewPanel`

public class JsMainPanel extends Object implements JSVMainPanel

## Constructor Summary

Constructors
Constructor
Description
`JsMainPanel()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`int`
`getCurrentPanelIndex()`
`int`
`getHeight()`
`String`
`getTitle()`
`int`
`getWidth()`
`boolean`
`isEnabled()`
`boolean`
`isFocusable()`
`boolean`
`isVisible()`
`void`
`setEnabled(boolean b)`
`void`
`setFocusable(boolean b)`
`void`
`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`
`void`
`setTitle(String title)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsMainPanel

public JsMainPanel()

## Method Details

### getCurrentPanelIndex

public int getCurrentPanelIndex()

Specified by:
  `getCurrentPanelIndex` in interface `JSVMainPanel`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `JSVViewPanel`

### getTitle

public String getTitle()

Specified by:
  `getTitle` in interface `JSVViewPanel`

### setTitle

public void setTitle(String title)

Specified by:
  `setTitle` in interface `JSVViewPanel`

### getHeight

public int getHeight()

Specified by:
  `getHeight` in interface `JSVViewPanel`

### getWidth

public int getWidth()

Specified by:
  `getWidth` in interface `JSVViewPanel`

### isEnabled

public boolean isEnabled()

Specified by:
  `isEnabled` in interface `JSVViewPanel`

### isFocusable

public boolean isFocusable()

Specified by:
  `isFocusable` in interface `JSVViewPanel`

### isVisible

public boolean isVisible()

Specified by:
  `isVisible` in interface `JSVViewPanel`

### setEnabled

public void setEnabled(boolean b)

Specified by:
  `setEnabled` in interface `JSVViewPanel`

### setFocusable

public void setFocusable(boolean b)

Specified by:
  `setFocusable` in interface `JSVViewPanel`

### setSelectedPanel

public void setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)

Specified by:
  `setSelectedPanel` in interface `JSVMainPanel`